Package ghidra.util.datastruct

# Class ObjectValueRange<T>

java.lang.Object
ghidra.util.datastruct.ObjectValueRange<T>

All Implemented Interfaces:
  `Comparable<ObjectValueRange<T>>`

public class ObjectValueRange<T> extends Object implements Comparable<ObjectValueRange<T>>
Associates an integer value with a numeric range.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectValueRange(long start, long end, T value)`
  Constructor for numeric range with an associated value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ObjectValueRange<T> otherRange)`
  `boolean`
  `contains(long index)`
  Determines whether or not the indicated index is in the range.
  `long`
  `getEnd()`
  Returns the end of the range.
  `long`
  `getStart()`
  Returns the beginning of the range.
  `T`
  `getValue()`
  Returns the value associated with the range.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectValueRange

    public ObjectValueRange(long start, long end, T value)
    Constructor for numeric range with an associated value.
    Parameters:
      `start` - beginning of the range
      `end` - end of the range
      `value` - the value to associate with the range.

- ## Method Details

  - ### getStart

    public long getStart()
    Returns the beginning of the range.

  - ### getEnd

    public long getEnd()
    Returns the end of the range.

  - ### getValue

    public T getValue()
    Returns the value associated with the range.

  - ### contains

    public boolean contains(long index)
    Determines whether or not the indicated index is in the range.
    Parameters:
      `index` - the index to check
    Returns:
      true if the index is in this range.

  - ### compareTo

    public int compareTo(ObjectValueRange<T> otherRange)
    Specified by:
      `compareTo` in interface `Comparable<T>`
    See Also:
      - `Comparable.compareTo(java.lang.Object)`